var usage_overview =
[
    [ "Loggers, Appenders and Layouts", "usage.html", [
      [ "Loggers", "usage.html#loggers", [
        [ "Hierarchy", "usage.html#hierarchy", null ],
        [ "Levels", "usage.html#levels", [
          [ "Level Inheritance", "usage.html#level-inheritance", null ]
        ] ],
        [ "Requests", "usage.html#requests", null ],
        [ "Basic Selection Rule", "usage.html#selection-rule", null ]
      ] ],
      [ "Appenders", "usage.html#appenders", [
        [ "Additivity", "usage.html#appender-additivity", null ]
      ] ],
      [ "Layouts", "usage.html#layouts", null ],
      [ "Example Programs", "usage.html#coding", [
        [ "A Simple Example", "usage.html#example1", null ],
        [ "A Less Simple Example", "usage.html#example2", null ],
        [ "Runtime Configuration", "usage.html#configuration", null ]
      ] ],
      [ "Default Initialization", "usage.html#default-initialization", null ],
      [ "Nested Diagnostic Contexts", "usage.html#nested-diagnostic-contexts", null ],
      [ "Logging Custom Types", "usage.html#custom-types", null ],
      [ "Logging with {fmt}", "usage.html#logging-with-fmt", null ],
      [ "Internal Debugging", "usage.html#internal-debugging", null ],
      [ "Overhead", "usage.html#request-cost", [
        [ "Removing log statements", "usage.html#removing-log-statements", null ],
        [ "Removing location information", "usage.html#removing-location-information", null ]
      ] ],
      [ "Conclusions", "usage.html#conclusions", null ]
    ] ],
    [ "Filtering Log Messages", "filters.html", "filters" ],
    [ "Threading", "threading.html", [
      [ "Threading Notes with Log4cxx", "threading.html#threading-notes", [
        [ "Unexpected Exit", "threading.html#unexpected-exit", null ],
        [ "Signal Handling with Log4cxx", "threading.html#signal-handling", [
          [ "Configuring Thread", "threading.html#configuring", null ]
        ] ]
      ] ]
    ] ],
    [ "Extending Log4cxx", "extending-log4cxx.html", null ],
    [ "Stacktrace Support", "stacktrace-support.html", [
      [ "Stacktrace Support", "stacktrace-support.html#autotoc_md54", [
        [ "Putting the stacktrace into the MDC", "stacktrace-support.html#autotoc_md55", null ]
      ] ]
    ] ],
    [ "FAQ", "faq.html", [
      [ "Frequently Asked Technical Questions", "faq.html#autotoc_md39", [
        [ "Table of contents", "faq.html#autotoc_md40", null ],
        [ "How do I add a custom level to Apache Log4cxx?", "faq.html#autotoc_md41", null ],
        [ "My application on Windows crashes on shutdown?", "faq.html#autotoc_md42", null ],
        [ "Does Apache Log4cxx support Unicode?", "faq.html#autotoc_md43", null ]
      ] ]
    ] ],
    [ "Configuration Samples", "configuration-samples.html", [
      [ "Patterns", "configuration-samples.html#patterns", [
        [ "Pattern 1", "configuration-samples.html#pattern1", null ],
        [ "Pattern 2", "configuration-samples.html#pattern2", null ],
        [ "Pattern 3", "configuration-samples.html#pattern3", null ],
        [ "Pattern 4", "configuration-samples.html#pattern4", null ]
      ] ],
      [ "XML Files", "configuration-samples.html#xmlfiles", [
        [ "XML Example 1", "configuration-samples.html#xml-example-1", null ],
        [ "XML Example 2", "configuration-samples.html#xml-example-2", null ],
        [ "XML Example 3", "configuration-samples.html#xml-example-3", null ],
        [ "XML Example 4", "configuration-samples.html#xml-example-4", null ]
      ] ]
    ] ],
    [ "Qt Support", "qt-support.html", null ],
    [ "Log4cxx Performance", "performance.html", [
      [ "Log4cxx Performance", "performance.html#autotoc_md53", null ]
    ] ],
    [ "Multiprocess Logging", "multiprocess-logging.html", [
      [ "Logging With Multiple Processes", "multiprocess-logging.html#autotoc_md52", null ]
    ] ],
    [ "Environment Variables", "environment-variables.html", [
      [ "Environment Variables Used by Log4cxx", "environment-variables.html#autotoc_md38", null ]
    ] ],
    [ "Macros Influencing Log4cxx", "macros-influencing-log4cxx.html", [
      [ "Macros that influence Log4cxx", "macros-influencing-log4cxx.html#autotoc_md51", null ]
    ] ]
];